content views: errata by date/type filter: incorrect types are displayed

03/28/2014 01:04 AM - Brad Buckingham

Status: Closed

Priority: Normal

Assignee: Brad Buckingham

Category: Content Views

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Errata by date/type filters are not correctly displaying the types that were selected by the user. Instead, all types are always

displayed as selected.

. create a content view, add a repo with errata
. create an 'Errata by Date/Type filter'

. unselect or more of the types
. save the filter
. re-open the filter
. observe that all types are selected (i.e. security, enhancement & bugfix)

. observe that all types are selected (i.e. security, enhancement & bugfix)

Associated revisions

Revision 461808b4 - 03/27/2014 10:57 PM - Brad Buckingham

fixes #4931 - content view errata by date/type rule - default types to false

This minor change is so that the Ul will not always show the
types (enhancement, security, bugfix) as selected/checked.

In other words, the default value is unselected and then overriden
based on the types retrieved from the server.

Revision 17f9b258 - 03/28/2014 02:57 AM - Brad Buckingham

fixes #4931 - content view errata by date/type rule - default types to false
This minor change is so that the Ul will not always show the

types (enhancement, security, bugfix) as selected/checked.

In other words, the default value is unselected and then overriden
based on the types retrieved from the server.

Revision 627f0a15 - 03/28/2014 12:22 PM - Brad Buckingham
Merge pull request #3908 from bbuckingham/issue-4931

fixes #4931 - content view errata by date/type rule - default types to false

Revision f4f0ce7c - 03/28/2014 04:22 PM - Brad Buckingham
Merge pull request #3908 from bbuckingham/issue-4931

fixes #4931 - content view errata by date/type rule - default types to false

History

#1 - 03/28/2014 04:52 PM - Brad Buckingham
- Status changed from Assigned to Closed

- % Done changed from 0 to 100
Applied in changeset katellojcommit:17f9b25871460e59cee62bd54484806398d2b330.

#2 - 08/21/2014 02:38 PM - Eric Helms

- translation missing: en.field_release set to 13
